C     Program to translate the output data files from Tpros to produce the
C     actual values for the yield stress from the normalised output data.
C     
C     Program written April 1999 by C.A. Walsh.
C
      IMPLICIT NONE
      DOUBLE PRECISION E,US,UT,UTM,UTP,AS,AT,ATM,ATP
      DOUBLE PRECISION MIN,MAX,VMIN,VMAX
      INTEGER IIU,IOU,ILINE,L1
      CHARACTER*55 FILE1,FILE2
C
      MIN =  28D0
      MAX =  1310D0
      FILE1='                                                       '
      FILE2='                                                       '
      IIU   = 1
      IOU   = 2
      ILINE = 1
C
  100 VMIN = MIN
      VMAX = MAX
C
  110 WRITE (*,*) 'Input number of lines of data :'
      READ (*,*) ILINE
      IF (ILINE.LT.1) THEN
         WRITE (*,*) '*** ERROR*** number of data lines = ',ILINE
         STOP
      ENDIF
C
      WRITE (*,*) 'Input file name of input file :'
      READ (*,*) FILE1
      OPEN (UNIT=IIU,FILE=FILE1,STATUS='OLD') 
      WRITE (*,*) 'Input file name of output file :'
      READ (*,*) FILE2
      OPEN (UNIT=IOU,FILE=FILE2,STATUS='NEW')
      WRITE(IOU,1)
C
      DO 120 L1=1,ILINE
         READ(IIU,*) UT,US,UTM,UTP,E
         AT  = (UT +0.5D0)*(VMAX-VMIN) + VMIN
         ATM = (UTM+0.5D0)*(VMAX-VMIN) + VMIN         
         ATP = (UTP+0.5D0)*(VMAX-VMIN) + VMIN
         AS  = US*(VMAX-VMIN)
         WRITE(IOU,2) AT,AS,ATM,ATP
  120 CONTINUE
C
      CLOSE(IIU)
      CLOSE(IOU)
      STOP
    1 FORMAT(1H ,'Yield strength   Error    Range of values for '
     +     / 1H ,'     (MPa)                yield strength (MPa)')
    2 FORMAT(1H ,3X,F7.2,5X,F7.2,4X,F7.2,'  -  ',F7.2)
      END
